Subject: Re: bug#15784: 24.3.50; cc-mode bug reporting

From: Alan Mackenzie <[email-masked]>
Date: Wed, 6 Nov 2013 20:28:39 +0000

Hello, Glenn.

On Sun, Nov 03, 2013 at 07:31:36PM -0500, Glenn Morris wrote:
> Alan Mackenzie wrote:

> >> It sends to [email-masked].  It might make sense to change this to
> >> send to the gnu debbugs list instead, with an appropriate cc-mode tag.

> > Right at the moment, I don't think this would be a good idea.  CC Mode is
> > also upstream from XEmacs, and bug reports come from that quarter, too.
> > It is convenient to be able to filter a mailbox for mails addressed to
> > *cc-mode*.  Mail to bug-gnu-emacs is much easier to lose in the sheer
> > volume of postings.

> I think you may have misunderstood the suggestion.

That may be the case.

> If you change c-submit-bug-report to send mail to
> [email-masked], with an "X-Debbugs-Package: cc-mode" header,
> then all those reports will still end up on the bug-cc-mode list, not
> the bug-gnu-emacs list (ie, submit@debbugs will act like an alias for
> bug-cc-mode). But they will get entered into the tracker and get bug
> numbers. So this change would actually make it _less_ easier to lose
> cc-mode bugs.

The header "X-Debbugs-Package:" isn't mentioned in
.../admin/notes/bugtracker.  Can you point me at any documentation for
it?

> This is what Gnus does, for example, and they have the same XEmacs
> issues as you do. It seems to be working fine for them.

OK.  This would involve amending `reporter-submit-bug-report'.  I'll look
at this.

-- 
Alan Mackenzie (Nuremberg, Germany).